# QCOMExtendedGet2 (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class QCOMExtendedGet2

    java.lang.Object
      org.lwjgl.opengles.QCOMExtendedGet2

    public final class QCOMExtendedGet2

extends java.lang.Object

Method Summary
`static void` `glExtGetProgramBinarySourceQCOM(int program, int shadertype, java.nio.ByteBuffer source, java.nio.IntBuffer length)`
`static void` `glExtGetProgramsQCOM(java.nio.IntBuffer programs, java.nio.IntBuffer numPrograms)`
`static void` `glExtGetShadersQCOM(java.nio.IntBuffer shaders, java.nio.IntBuffer numShaders)`
`static boolean` `glExtIsProgramBinaryQCOM(int program)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glExtGetShadersQCOM

    public static void glExtGetShadersQCOM(java.nio.IntBuffer shaders,
                                           java.nio.IntBuffer numShaders)

### glExtGetProgramsQCOM

    public static void glExtGetProgramsQCOM(java.nio.IntBuffer programs,
                                            java.nio.IntBuffer numPrograms)

### glExtIsProgramBinaryQCOM

    public static boolean glExtIsProgramBinaryQCOM(int program)

### glExtGetProgramBinarySourceQCOM

    public static void glExtGetProgramBinarySourceQCOM(int program,
                                                       int shadertype,
                                                       java.nio.ByteBuffer source,
                                                       java.nio.IntBuffer length)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.